+ Reply
Results 1 to 20 of 20

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Can Firmware 4.0 Be Used On 1st Gen iPhone?

is a discussion within the

General iPhone Chat

forums, a part of the

iPhone Modding

section;
Will firmware 4.0 support the 1st generation iphone? .
...
  1. #1
    iPhone? More like MyPhone koolx's Avatar
    Join Date
    Jan 2010
    Posts
    124
    Thanks
    2
    Thanked 1 Time in 1 Post
    Default Can Firmware 4.0 Be Used On 1st Gen iPhone?
    Will firmware 4.0 support the 1st generation iphone?

    .

  2. #2
    Retired Moderator StealthBravo's Avatar
    Join Date
    Jan 2008
    Location
    TX  Follow me @StealthBravo
    Posts
    32,478
    Thanks
    44
    Thanked 5,328 Times in 3,113 Posts

    There was not a beta for it so I would assume no

  3. #3
    Green Apple
    Join Date
    Feb 2009
    Posts
    61
    Thanks
    4
    Thanked 1 Time in 1 Post
    Keep your fingers crossed!

    Apple Unveils Next-Gen, Multitasking iPhone OS | Gadget Lab | Wired.com


    IPhone OS 4 will be available to iPhone 3GS and third-generation iPod Touch users starting summer 2010, and to iPad users starting in the fall. Users of earlier devices, such as the iPhone 3G and first-generation iPhone, will be able to get the new OS this summer, but some features — such as multitasking — won’t work, due to limitations of the older hardware.

    Read More Apple Unveils Next-Gen, Multitasking iPhone OS | Gadget Lab | Wired.com
    Last edited by Sigz; 04-08-2010 at 04:45 PM. Reason: Automerged Doublepost

  4. #4
    Green Apple
    Join Date
    Jan 2010
    Location
    California
    Posts
    43
    Thanks
    0
    Thanked 1 Time in 1 Post
    Not officially but i doubt that it'll take to long before we male some hactivation of sorts. The hardware is almost the same and apple is just being greedy.

    i mean probably they will disable the cool things like folders and multitasking.
    Last edited by alek2407; 04-08-2010 at 06:00 PM. Reason: Automerged Doublepost

  5. #5
    Green Apple
    Join Date
    Feb 2009
    Posts
    61
    Thanks
    4
    Thanked 1 Time in 1 Post
    I don't think anyone knows.

    Here is what I get from researching blogs/forums/etc:


    The Iphone (first gen) will not be able to load 4.0 at all

    and

    The Iphone (first gen) will be able to load 4.0 OS, but it won't have the multitasking and some of the other new features.

  6. #6
    What's Jailbreak?
    Join Date
    Aug 2008
    Posts
    28
    Thanks
    3
    Thanked 0 Times in 0 Posts

    Quote Originally Posted by koolx View Post
    Will firmware 4.0 support the 1st generation iphone?

    .
    Jobs said in QnA session that 1st generation hardware is not good enough to handle stress, so NO .. sorry

    Quote Originally Posted by alek2407 View Post
    Not officially but i doubt that it'll take to long before we male some hactivation of sorts. The hardware is almost the same and apple is just being greedy.

    i mean probably they will disable the cool things like folders and multitasking.
    apple is pretty cleaver in letting behind their old generation quickly, even with ipods, they came with newer and newer versions while leaving early generation ipod owner force to buy new generation since old generation had no new software..
    Last edited by nil911; 04-08-2010 at 07:32 PM. Reason: Automerged Doublepost

  7. #7
    CHUCK-TASTIC battlecrushr's Avatar
    Join Date
    Jun 2009
    Location
    Houston follow @al_da_beast
    Posts
    7,940
    Thanks
    273
    Thanked 1,034 Times in 956 Posts

    2g won't have as much features

  8. #8
    What's Jailbreak?
    Join Date
    Aug 2008
    Posts
    28
    Thanks
    3
    Thanked 0 Times in 0 Posts

    STEALTH, problem, i tried working the 3gs firmware on your website on mac it gave me error 13 did other people have same problem?
    i dont understand the problem? i thought that firmware worked on mac?

  9. #9
    Green Apple
    Join Date
    Feb 2009
    Posts
    61
    Thanks
    4
    Thanked 1 Time in 1 Post
    Quote Originally Posted by battlecrushr View Post
    2g won't have as much features
    Wait, so will 4.0 LOAD on the Iphone first generation (aka 2G) so we can at least update/download new apps???

  10. #10
    EffenTroll ! Effenpig!'s Avatar
    Join Date
    Jan 2010
    Location
    In a house
    Posts
    1,057
    Thanks
    18
    Thanked 57 Times in 50 Posts

    ^really? Really?

    Please read up!!

  11. #11
    Green Apple
    Join Date
    Feb 2009
    Posts
    61
    Thanks
    4
    Thanked 1 Time in 1 Post
    Quote Originally Posted by Effenpig! View Post
    ^really? Really?

    Please read up!!
    I have read 'up'.

    I have read through this entire forum and other message boards.


    All I get is this:


    Iphone first generation (ORIGINAL IPHONE) won't even be able to load OS 4.0


    And then I read:

    Iphone first generation will be able to load OS 4.0, but won't be able to have the features (multitasking, etc).


    So... Will it be able to LOAD 4.0 or not???

  12. #12
    EffenTroll ! Effenpig!'s Avatar
    Join Date
    Jan 2010
    Location
    In a house
    Posts
    1,057
    Thanks
    18
    Thanked 57 Times in 50 Posts

    Ha ha, I know, you wrote most of it anyway, my point is, some say yes, some say no, so which answer are you going to pick!!
    Personally, it seems to me, from what I've read, it will be available on 2g, just won't have the new features

  13. #13
    Green Apple
    Join Date
    Feb 2009
    Posts
    61
    Thanks
    4
    Thanked 1 Time in 1 Post
    Quote Originally Posted by Effenpig! View Post
    Ha ha, I know, you wrote most of it anyway, my point is, some say yes, some say no, so which answer are you going to pick!!
    Personally, it seems to me, from what I've read, it will be available on 2g, just won't have the new features
    Haha I thought it was a trick question, like the answer WAS there, but I was so blinded that I couldn't see it.


    And yes, I don't really care if I have spectacular features. I'm content with what I have now. Multitasking? That is not a big deal to me at all.


    I just would like to have 4.0 so I don't run into the issue where I see "this app requires OS 4.0" and I won't be able to update or download!

  14. #14
    EffenTroll ! Effenpig!'s Avatar
    Join Date
    Jan 2010
    Location
    In a house
    Posts
    1,057
    Thanks
    18
    Thanked 57 Times in 50 Posts

    It can't handle multitasking anyway. I really think 2g will have 4.0, but will be stripped down so much it will be pretty muck like the current firmware

  15. The Following User Says Thank You to Effenpig! For This Useful Post:

    Sigz (04-09-2010)

  16. #15
    Green Apple
    Join Date
    Feb 2009
    Posts
    61
    Thanks
    4
    Thanked 1 Time in 1 Post
    Quote Originally Posted by Effenpig! View Post
    It can't handle multitasking anyway. I really think 2g will have 4.0, but will be stripped down so much it will be pretty muck like the current firmware
    That's all I'm (and other 2G users) are asking for.

  17. #16
    EffenTroll ! Effenpig!'s Avatar
    Join Date
    Jan 2010
    Location
    In a house
    Posts
    1,057
    Thanks
    18
    Thanked 57 Times in 50 Posts

    I think you will haz

    but who knows?

  18. #17
    Livin the iPhone Life Napoleon_PhoneApart's Avatar
    Join Date
    Jun 2007
    Location
    Upper Marlboro, MD
    Posts
    1,323
    Thanks
    166
    Thanked 88 Times in 76 Posts

    Quote Originally Posted by alek2407 View Post
    The hardware is almost the same and apple is just being greedy.
    I disagree. Apple is doing what almost any other corporation that's in the business of making money would do. They're encouraging the owners of their oldest models to upgrade. If you were in that business, you'd do exactly the same thing.

  19. #18
    Green Apple
    Join Date
    Feb 2009
    Posts
    61
    Thanks
    4
    Thanked 1 Time in 1 Post
    Quote Originally Posted by Napoleon_PhoneApart View Post
    I disagree. Apple is doing what almost any other corporation that's in the business of making money would do. They're encouraging the owners of their oldest models to upgrade. If you were in that business, you'd do exactly the same thing.
    True. It is a business.

    But I am a quality paying customer with my Iphone first generation. I have never bought anything cracked, or get this: ever DL'd a single illegal music file. Can you believe that?


    I buy apps/games for my Iphone first gen. Now with 4.0 coming out, I won't even be able to update my current apps/games probably when 4.0 is here. On top of that, there is probably no possible way to buy an app from the app store once 4.0 is here while I'm running 3.1.3.

    I mean, I get it. The original Iphone isn't capable of doing multitasking. Big whoop. I'd rather at least be stable OS wise, to be compatible with all the apps/games I've bought from Apple.

  20. #19
    Green Apple
    Join Date
    Jan 2010
    Location
    California
    Posts
    43
    Thanks
    0
    Thanked 1 Time in 1 Post
    Not really. I could stuff enough ram into a 2001 pc and still run Windows 7 no problem. (you could do that with OSX if not for the intel switch).

    The fact is that the 3g and g1 have the exact same processor and graphics system. The the dif in cpu mghz between 3g and 3gs is about 30%, but remember in most cases multitasking just pause the app to the drive.

    What apple is doing is what apple does, be greedy. They have no reason not to fully upgrade a product line with only 7 versions (3 x iphone & ipod, 1 x ipad), most differing only superficially.

  21. #20
    Green Apple
    Join Date
    Feb 2009
    Posts
    61
    Thanks
    4
    Thanked 1 Time in 1 Post
    Quote Originally Posted by alek2407 View Post
    What apple is doing is what apple does, be greedy. They have no reason not to fully upgrade a product line with only 7 versions (3 x iphone & ipod, 1 x ipad), most differing only superficially.
    I agree. A watered down version of 4.0 is all we're asking!

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts